### GET /v2/accounts/{account_id}/users/{iam_id}/settings Source: https://cloud.ibm.com/apidocs/user-management.json Retrieve a user's settings by the user's IAM ID. You can use the IAM service token or a user token for authorization. To use this method, the requesting user or service ID must have the viewer, editor, or administrator role on the User Management service.

The user settings have several fields. The `language` field is the language setting for the user interface display language. The `notification_language` field is the language setting for phone and email notifications. The `allowed_ip_addresses` field specifies a list of IP addresses that the user can log in and perform operations from as described in [Allowing specific IP addresses for a user](https://cloud.ibm.com/docs/account?topic=account-ips). For information about the `self_manage` field, review information about the [user-managed login setting](https://cloud.ibm.com/docs/account?topic=account-types). ```markdown ### Responses #### 200 - The user settings were retrieved successfully. **UserSettings** - **language** (string): The console UI language. By default, this field is empty. - **notification_language** (string): The language for email and phone notifications. By default, this field is empty. - **allowed_ip_addresses** (string): A comma-separated list of IP addresses. (example: "32.96.110.50,172.16.254.1") - **self_manage** (boolean): Whether user managed login is enabled. The default value is `false`. #### 401 - response **ErrorCollection** #### 403 - response **ErrorCollection** #### 404 - response **ErrorCollection** #### 500 - response Your request could not be processed. Try again later. If the problem persists, note the `transaction-id` in the response header and contact [IBM Cloud support](https://cloud.ibm.com/unifiedsupport/supportcenter). ### Example Usage ```bash curl -X GET "https://user-management.cloud.ibm.com/v2/accounts/{account_id}/users/{iam_id}/settings" ``` ``` -------------------------------- ### GET /v2/accounts/{account_id}/users Source: https://cloud.ibm.com/apidocs/user-management.json Retrieve users in the account. You can use the IAM service token or a user token for authorization. To use this method, the requesting user or service ID must have at least the viewer, editor, or administrator role on the User Management service. If unrestricted view is enabled, the user can see all users in the same account without an IAM role. If restricted view is enabled and user has the viewer, editor, or administrator role on the user management service, the API returns all users in the account. If unrestricted view is enabled and the user does not have these roles, the API returns only the current user. Users are returned in a paginated list with a default limit of 100 users. You can iterate through all users by following the `next_url` field. Additional substring search fields are supported to filter the users. ```markdown ### Parameters - **limit** (integer, query, optional): The number of results to be returned. - **include_settings** (boolean, query, optional): The user settings to be returned. Set to true to view language, allowed IP address, and authentication settings. - **search** (string, query, optional): The desired search results to be returned. To view the list of users with the additional search filter, use the following query options: `firstname`, `lastname`, `email`, `state`, `substate`, `iam_id`, `realm`, and `userId`. HTML URL encoding for the search query and `:` must be used. For example, search=state%3AINVALID returns a list of invalid users. Multiple search queries can be combined to obtain `OR` results using `,` operator (not URL encoded). For example, search=state%3AINVALID,email%3Amail.test.ibm.com. - **_start** (string, query, optional): An optional token that indicates the beginning of the page of results to be returned. If omitted, the first page of results is returned. This value is obtained from the 'next_url' field of the operation response. - **user_id** (string, query, optional): Filter users based on their user ID. - **email** (string, query, optional): Filter users based on their email address. - **realm** (string, query, optional): Filter users based on realm. The realm identifies the provider of the user, such as IBMid or an external identity provider. For more information, see see [Users](https://cloud.ibm.com/docs/account?topic=account-identity-overview#users-bestpract) ### Responses #### 200 - Users were returned successfully. **UserList** - **total_results** (integer) (required): The number of users returned. - **limit** (integer) (required): A limit to the number of users returned in a page. - **first_url** (string): The first URL of the get users API. - **next_url** (string): The next URL of the get users API. - **resources** (array (UserProfile)): A list of users in the account. Array items: - **id** (string): An alphanumeric value identifying the user profile. - **iam_id** (string): An alphanumeric value identifying the user's IAM ID. - **realm** (string): The realm of the user. The value is either `IBMid` or `SL`. - **user_id** (string): The user ID used for login. - **firstname** (string): The first name of the user. - **lastname** (string): The last name of the user. - **state** (string): The state of the user. Possible values are `PROCESSING`, `PENDING`, `ACTIVE`, `DISABLED_CLASSIC_INFRASTRUCTURE`, and `VPN_ONLY`. - **email** (string): The email address of the user. - **phonenumber** (string): The phone number of the user. - **altphonenumber** (string): The alternative phone number of the user. - **photo** (string): A link to a photo of the user. - **account_id** (string): An alphanumeric value identifying the account ID. - **added_on** (string): The timestamp for when the user was added to the account. #### 401 - response **ErrorCollection** #### 403 - response **ErrorCollection** #### 404 - response **ErrorCollection** #### 500 - response Your request could not be processed. Try again later. If the problem persists, note the `transaction-id` in the response header and contact [IBM Cloud support](https://cloud.ibm.com/unifiedsupport/supportcenter). ### Example Usage ```bash curl -X GET "https://user-management.cloud.ibm.com/v2/accounts/{account_id}/users?limit=100&include_settings=true&search=string&_start=string&user_id=string&email=string&realm=string" ``` ``` -------------------------------- ### GET /v2/accounts/{account_id}/users/{iam_id} Source: https://cloud.ibm.com/apidocs/user-management.json Retrieve a user's profile by the user's IAM ID in your account. You can use the IAM service token or a user token for authorization. To use this method, the requesting user or service ID must have at least the viewer, editor, or administrator role on the User Management service. ```markdown ### Responses #### 200 - The user was returned successfully. **UserProfile** - **id** (string): An alphanumeric value identifying the user profile. - **iam_id** (string): An alphanumeric value identifying the user's IAM ID. - **realm** (string): The realm of the user. The value is either `IBMid` or `SL`. - **user_id** (string): The user ID used for login. - **firstname** (string): The first name of the user. - **lastname** (string): The last name of the user. - **state** (string): The state of the user. Possible values are `PROCESSING`, `PENDING`, `ACTIVE`, `DISABLED_CLASSIC_INFRASTRUCTURE`, and `VPN_ONLY`. - **email** (string): The email address of the user. - **phonenumber** (string): The phone number of the user. - **altphonenumber** (string): The alternative phone number of the user. - **photo** (string): A link to a photo of the user. - **account_id** (string): An alphanumeric value identifying the account ID. - **added_on** (string): The timestamp for when the user was added to the account. #### 401 - response **ErrorCollection** #### 403 - response **ErrorCollection** #### 404 - response **ErrorCollection** #### 500 - response Your request could not be processed. Try again later. If the problem persists, note the `transaction-id` in the response header and contact [IBM Cloud support](https://cloud.ibm.com/unifiedsupport/supportcenter). ### Example Usage ```bash curl -X GET "https://user-management.cloud.ibm.com/v2/accounts/{account_id}/users/{iam_id}" ``` ``` -------------------------------- ### POST /v2/accounts/{account_id}/users Source: https://cloud.ibm.com/apidocs/user-management.json Invite users to the account. You must use a user token for authorization. Service IDs can't invite users to the account. To use this method, the requesting user must have the editor or administrator role on the User Management service. For more information, see the [Inviting users](https://cloud.ibm.com/docs/account?topic=account-iamuserinv) documentation. You can specify the user account role and the corresponding IAM policy information in the request body.

When you invite a user to an account, the user is initially created in the `PROCESSING` state. After the user is successfully created, all specified permissions are configured, and the activation email is sent, the invited user is transitioned to the `PENDING` state. When the invited user clicks the activation email and creates and confirms their IBM Cloud account, the user is transitioned to `ACTIVE` state. If the user email is already verified, no email is generated. ```markdown ### Request Body **Content-Type:** application/json - **users** (array (inviteUser)) (required): A list of users to be invited. Array items: - **email** (string): The email of the user to be invited. - **account_role** (string): The account role of the user to be invited. - **iam_policy** (array (inviteUserIamPolicy)): A list of IAM policies. Array items: - **type** (string) (required): The policy type. This can be either "access" or "authorization". - **roles** (array (role)): A list of IAM roles. Array items: - **role_id** (string): An alphanumeric value identifying the origin. - **resources** (array (resource)): A list of resources. - **access_groups** (array (invitedUserAccessGroup)): A list of access groups. ### Responses #### 202 - The user was successfully invited. **InvitedUserList** - **resources** (array (InvitedUser)): The list of users that have been invited to join the account. Array items: - **email** (string): The email address associated with the invited user. - **id** (string): The id associated with the invited user. - **state** (string): The state of the invitation for the user. #### 401 - response **ErrorCollection** #### 403 - response **ErrorCollection** #### 404 - response **ErrorCollection** #### 409 - response **ErrorCollection** #### 500 - response Your request could not be processed. Try again later. If the problem persists, note the `transaction-id` in the response header and contact [IBM Cloud support](https://cloud.ibm.com/unifiedsupport/supportcenter). ### Example Usage ```bash curl -X POST "https://user-management.cloud.ibm.com/v2/accounts/{account_id}/users" \ -H "Content-Type: application/json" \ -d '{ "users": [ "value" ], "iam_policy": [ "value" ], "access_groups": [ "value" ] }' ``` ``` -------------------------------- ### Schema: UserSettings Source: https://cloud.ibm.com/apidocs/user-management.json The user settings returned. ```markdown ## Schema: UserSettings The user settings returned. **Type:** object - **language** (string): The console UI language. By default, this field is empty. - **notification_language** (string): The language for email and phone notifications. By default, this field is empty. - **allowed_ip_addresses** (string): A comma-separated list of IP addresses. (example: "32.96.110.50,172.16.254.1") - **self_manage** (boolean): Whether user managed login is enabled. The default value is `false`. ``` -------------------------------- ### Schema: inviteUser Source: https://cloud.ibm.com/apidocs/user-management.json Invite a user. ```markdown ## Schema: inviteUser Invite a user. **Type:** object - **email** (string): The email of the user to be invited. - **account_role** (string): The account role of the user to be invited. ``` -------------------------------- ### POST /v2/users/accept Source: https://cloud.ibm.com/apidocs/user-management.json Accept a user invitation to an account. You can use the user's token for authorization. To use this method, the requesting user must provide the account ID for the account that they are accepting an invitation for. If the user already accepted the invitation request, it returns 204 with no response body. ```markdown ### Request Body **Content-Type:** application/json - **account_id** (string): The account ID. ### Responses #### 202 - The request was accepted. Empty response body #### 400 - response **ErrorCollection** #### 401 - response **ErrorCollection** #### 403 - response **ErrorCollection** #### 500 - response Your request could not be processed. Try again later. If the problem persists, note the `transaction-id` in the response header and contact [IBM Cloud support](https://cloud.ibm.com/unifiedsupport/supportcenter). ### Example Usage ```bash curl -X POST "https://user-management.cloud.ibm.com/v2/users/accept" \ -H "Content-Type: application/json" \ -d '{ "account_id": "string" }' ``` ``` -------------------------------- ### Schema: ReqBodyAcceptUser Source: https://cloud.ibm.com/apidocs/user-management.json Request body to accept an invitation. ```markdown ## Schema: ReqBodyAcceptUser Request body to accept an invitation. **Type:** object - **account_id** (string): The account ID. ``` -------------------------------- ### Schema: BulkUserResponseList Source: https://cloud.ibm.com/apidocs/user-management.json Returned the user profile. ```markdown ## Schema: BulkUserResponseList Returned the user profile. **Type:** object - **iam_id** (string): An alphanumeric value identifying the user's IAM ID. - **trace** (string): A transaction-id that can be used for debugging purposes. - **status_code** (string): The outcome of the bulk delete user operation on this account ID - **errors** (array (BulkUserResponseError)): A list of errors that occurred when trying to remove a member from the account. Array items: - **code** (string): A human-readable error code represented by a snake case string. - **message** (string): A specific error message that details the issue or an action to take. ``` -------------------------------- ### API Overview: User Management Source: https://cloud.ibm.com/apidocs/user-management.json Manage the lifecycle of your users using User Management APIs. ```yaml # User Management # Version: 1.0 Manage the lifecycle of your users using User Management APIs. # Base URL: https://user-management.cloud.ibm.com ``` -------------------------------- ### Schema: ReqBodyInviteUser Source: https://cloud.ibm.com/apidocs/user-management.json Request body to invite a user. ```markdown ## Schema: ReqBodyInviteUser Request body to invite a user. **Type:** object - **users** (array (inviteUser)) (required): A list of users to be invited. Array items: - **email** (string): The email of the user to be invited. - **account_role** (string): The account role of the user to be invited. - **iam_policy** (array (inviteUserIamPolicy)): A list of IAM policies. Array items: - **type** (string) (required): The policy type. This can be either "access" or "authorization". - **roles** (array (role)): A list of IAM roles. Array items: - **role_id** (string): An alphanumeric value identifying the origin. - **resources** (array (resource)): A list of resources. - **access_groups** (array (invitedUserAccessGroup)): A list of access groups. ``` -------------------------------- ### Schema: UserProfile Source: https://cloud.ibm.com/apidocs/user-management.json Returned the user profile. ```markdown ## Schema: UserProfile Returned the user profile. **Type:** object - **id** (string): An alphanumeric value identifying the user profile. - **iam_id** (string): An alphanumeric value identifying the user's IAM ID. - **realm** (string): The realm of the user. The value is either `IBMid` or `SL`. - **user_id** (string): The user ID used for login. - **firstname** (string): The first name of the user. - **lastname** (string): The last name of the user. - **state** (string): The state of the user. Possible values are `PROCESSING`, `PENDING`, `ACTIVE`, `DISABLED_CLASSIC_INFRASTRUCTURE`, and `VPN_ONLY`. - **email** (string): The email address of the user. - **phonenumber** (string): The phone number of the user. - **altphonenumber** (string): The alternative phone number of the user. - **photo** (string): A link to a photo of the user. - **account_id** (string): An alphanumeric value identifying the account ID. - **added_on** (string): The timestamp for when the user was added to the account. ``` -------------------------------- ### Schema: UserList Source: https://cloud.ibm.com/apidocs/user-management.json The users returned. ```markdown ## Schema: UserList The users returned. **Type:** object - **total_results** (integer) (required): The number of users returned. - **limit** (integer) (required): A limit to the number of users returned in a page. - **first_url** (string): The first URL of the get users API. - **next_url** (string): The next URL of the get users API. - **resources** (array (UserProfile)): A list of users in the account. Array items: - **id** (string): An alphanumeric value identifying the user profile. - **iam_id** (string): An alphanumeric value identifying the user's IAM ID. - **realm** (string): The realm of the user. The value is either `IBMid` or `SL`. - **user_id** (string): The user ID used for login. - **firstname** (string): The first name of the user. - **lastname** (string): The last name of the user. - **state** (string): The state of the user. Possible values are `PROCESSING`, `PENDING`, `ACTIVE`, `DISABLED_CLASSIC_INFRASTRUCTURE`, and `VPN_ONLY`. - **email** (string): The email address of the user. - **phonenumber** (string): The phone number of the user. - **altphonenumber** (string): The alternative phone number of the user. - **photo** (string): A link to a photo of the user. - **account_id** (string): An alphanumeric value identifying the account ID. - **added_on** (string): The timestamp for when the user was added to the account. ``` -------------------------------- ### Schema: attribute Source: https://cloud.ibm.com/apidocs/user-management.json An attribute/value pair. ```markdown ## Schema: attribute An attribute/value pair. **Type:** object - **name** (string): The name of the attribute - **value** (string): The value of the attribute ``` -------------------------------- ### Schema: InvitedUser Source: https://cloud.ibm.com/apidocs/user-management.json Information about a user that has been invited to join an account. ```markdown ## Schema: InvitedUser Information about a user that has been invited to join an account. **Type:** object - **email** (string): The email address associated with the invited user. - **id** (string): The id associated with the invited user. - **state** (string): The state of the invitation for the user. ``` -------------------------------- ### Schema: resource Source: https://cloud.ibm.com/apidocs/user-management.json A collection of attribute value pairs. ```markdown ## Schema: resource A collection of attribute value pairs. **Type:** object ``` -------------------------------- ### Schema: InvitedUserList Source: https://cloud.ibm.com/apidocs/user-management.json A collection of invited users. This is the response returned by the invite_users operation. ```markdown ## Schema: InvitedUserList A collection of invited users. This is the response returned by the invite_users operation. **Type:** object - **resources** (array (InvitedUser)): The list of users that have been invited to join the account. Array items: - **email** (string): The email address associated with the invited user. - **id** (string): The id associated with the invited user. - **state** (string): The state of the invitation for the user. ``` -------------------------------- ### Security: Authorization Source: https://cloud.ibm.com/apidocs/user-management.json Your IBM Cloud IAM access token. ```markdown ## Security: Authorization **Description:** Your IBM Cloud IAM access token. **Type:** apiKey ``` -------------------------------- ### Schema: ErrorCollection Source: https://cloud.ibm.com/apidocs/user-management.json Collection of errors ```markdown ## Schema: ErrorCollection Collection of errors **Type:** object ``` -------------------------------- ### Schema: BulkUserResponseError Source: https://cloud.ibm.com/apidocs/user-management.json Returned user's error for the bulk delete user operation. ```markdown ## Schema: BulkUserResponseError Returned user's error for the bulk delete user operation. **Type:** object - **code** (string): A human-readable error code represented by a snake case string. - **message** (string): A specific error message that details the issue or an action to take. ``` -------------------------------- ### Schema: ReqBodyUserProfilePatch Source: https://cloud.ibm.com/apidocs/user-management.json Request body to update a user profile. ```markdown ## Schema: ReqBodyUserProfilePatch Request body to update a user profile. **Type:** object - **firstname** (string): The first name of the user. - **lastname** (string): The last name of the user. - **state** (string): The state of the user. Possible values are `PROCESSING`, `PENDING`, `ACTIVE`, `DISABLED_CLASSIC_INFRASTRUCTURE`, and `VPN_ONLY`. - **email** (string): The email address of the user. - **phonenumber** (string): The phone number of the user. - **altphonenumber** (string): The alternative phone number of the user. ``` -------------------------------- ### Schema: inviteUserIamPolicy Source: https://cloud.ibm.com/apidocs/user-management.json Invite a user to an IAM policy. ```markdown ## Schema: inviteUserIamPolicy Invite a user to an IAM policy. **Type:** object - **type** (string) (required): The policy type. This can be either "access" or "authorization". - **roles** (array (role)): A list of IAM roles. Array items: - **role_id** (string): An alphanumeric value identifying the origin. - **resources** (array (resource)): A list of resources. ``` -------------------------------- ### Schema: role Source: https://cloud.ibm.com/apidocs/user-management.json The role of an IAM policy. ```markdown ## Schema: role The role of an IAM policy. **Type:** object - **role_id** (string): An alphanumeric value identifying the origin. ``` -------------------------------- ### Schema: invitedUserAccessGroup Source: https://cloud.ibm.com/apidocs/user-management.json The id of the access_group. ```markdown ## Schema: invitedUserAccessGroup The id of the access_group. **Type:** string ``` -------------------------------- ### POST /v2/accounts/{account_id}/users_bulk_delete Source: https://cloud.ibm.com/apidocs/user-management.json Bulk remove users from an account by specifying the users' IAM IDs. The API supports removing up to 50 users at a time. You must use a user token for authorization. Service IDs can't remove users from an account. If a partial failure occurs on deletion, the response is shown in the body. If removing any user fails, it will set the user's state to ERROR_WHILE_DELETING. To use this method, the requesting user must have the editor or administrator role on the User Management service. For more information, see [Removing users](https://cloud.ibm.com/docs/account?topic=account-remove) documentation. ```markdown ### Request Body **Content-Type:** application/json - **users** (array (bulkRemoveUsers)): The list of user IAM IDs ### Responses #### 207 - There is a multiple status response. Check the response body. **ResBodyBulkUserRemove** - **account_id** (string): An alphanumeric value identifying the account ID. - **users** (array (BulkUserResponseList)): The iam_ids removed from the account. Array items: - **iam_id** (string): An alphanumeric value identifying the user's IAM ID. - **trace** (string): A transaction-id that can be used for debugging purposes. - **status_code** (string): The outcome of the bulk delete user operation on this account ID - **errors** (array (BulkUserResponseError)): A list of errors that occurred when trying to remove a member from the account. Array items: - **code** (string): A human-readable error code represented by a snake case string. - **message** (string): A specific error message that details the issue or an action to take. #### 400 - response **ErrorCollection** #### 401 - response **ErrorCollection** #### 403 - response **ErrorCollection** #### 500 - response Your request could not be processed. Try again later. If the problem persists, note the `transaction-id` in the response header and contact [IBM Cloud support](https://cloud.ibm.com/unifiedsupport/supportcenter). ### Example Usage ```bash curl -X POST "https://user-management.cloud.ibm.com/v2/accounts/{account_id}/users_bulk_delete" \ -H "Content-Type: application/json" \ -d '{ "users": [ "value" ] }' ``` ``` -------------------------------- ### PATCH /v2/accounts/{account_id}/users/{iam_id} Source: https://cloud.ibm.com/apidocs/user-management.json The payload allows updates to a user's basic profile information. However, when a user's basic profile is updated, the system always relies on the user's IBMid profile information (such as name, email address, and phone numbers). Although the payload includes fields like name and email for users who are managed by IBMid, the values are always sourced from the IBMid profile. If the user provides any values that are different from the IBMid profile information, the IBMid profile data takes precedence, and the incoming customer-provided data is ignored. ```markdown ### Request Body **Content-Type:** application/json - **firstname** (string): The first name of the user. - **lastname** (string): The last name of the user. - **state** (string): The state of the user. Possible values are `PROCESSING`, `PENDING`, `ACTIVE`, `DISABLED_CLASSIC_INFRASTRUCTURE`, and `VPN_ONLY`. - **email** (string): The email address of the user. - **phonenumber** (string): The phone number of the user. - **altphonenumber** (string): The alternative phone number of the user. ### Responses #### 204 - The user profile was updated successfully. Empty response body #### 400 - response **ErrorCollection** #### 401 - response **ErrorCollection** #### 403 - response **ErrorCollection** #### 500 - response Your request could not be processed. Try again later. If the problem persists, note the `transaction-id` in the response header and contact [IBM Cloud support](https://cloud.ibm.com/unifiedsupport/supportcenter). ### Example Usage ```bash curl -X PATCH "https://user-management.cloud.ibm.com/v2/accounts/{account_id}/users/{iam_id}" \ -H "Content-Type: application/json" \ -d '{ "firstname": "string", "lastname": "string", "state": "string", "email": "string", "phonenumber": "string", "altphonenumber": "string" }' ``` ``` -------------------------------- ### Schema: bulkRemoveUsers Source: https://cloud.ibm.com/apidocs/user-management.json The IAM IDs of users. ```markdown ## Schema: bulkRemoveUsers The IAM IDs of users. **Type:** string ``` -------------------------------- ### Schema: ResBodyBulkUserRemove Source: https://cloud.ibm.com/apidocs/user-management.json Response to bulk remove users. ```markdown ## Schema: ResBodyBulkUserRemove Response to bulk remove users. **Type:** object - **account_id** (string): An alphanumeric value identifying the account ID. - **users** (array (BulkUserResponseList)): The iam_ids removed from the account. Array items: - **iam_id** (string): An alphanumeric value identifying the user's IAM ID. - **trace** (string): A transaction-id that can be used for debugging purposes. - **status_code** (string): The outcome of the bulk delete user operation on this account ID - **errors** (array (BulkUserResponseError)): A list of errors that occurred when trying to remove a member from the account. Array items: - **code** (string): A human-readable error code represented by a snake case string. - **message** (string): A specific error message that details the issue or an action to take. ``` -------------------------------- ### PATCH /v2/accounts/{account_id}/users/{iam_id}/settings Source: https://cloud.ibm.com/apidocs/user-management.json Update a user's settings by the user's IAM ID. You can use the IAM service token or a user token for authorization. To fully use this method, the user or service ID must have the editor or administrator role on the User Management service. Without these roles, a user can update only their own `language` or `notification_language` fields. If `self_manage` is `true`, the user can also update the `allowed_ip_addresses` field. ```markdown ### Request Body **Content-Type:** application/json - **language** (string): The console UI language. By default, this field is empty. - **notification_language** (string): The language for email and phone notifications. By default, this field is empty. - **allowed_ip_addresses** (string): A comma-separated list of IP addresses. (example: "32.96.110.50,172.16.254.1") - **self_manage** (boolean): Whether user managed login is enabled. The default value is `false`. ### Responses #### 204 - The user settings were updated successfully. Empty response body #### 401 - response **ErrorCollection** #### 403 - response **ErrorCollection** #### 404 - response **ErrorCollection** #### 500 - response Your request could not be processed. Try again later. If the problem persists, note the `transaction-id` in the response header and contact [IBM Cloud support](https://cloud.ibm.com/unifiedsupport/supportcenter). ### Example Usage ```bash curl -X PATCH "https://user-management.cloud.ibm.com/v2/accounts/{account_id}/users/{iam_id}/settings" \ -H "Content-Type: application/json" \ -d '{ "language": "string", "notification_language": "string", "allowed_ip_addresses": "32.96.110.50,172.16.254.1", "self_manage": "true" }' ``` ``` -------------------------------- ### Schema: ReqBodyBulkUserRemove Source: https://cloud.ibm.com/apidocs/user-management.json Request body to bulk remove users. ```markdown ## Schema: ReqBodyBulkUserRemove Request body to bulk remove users. **Type:** object - **users** (array (bulkRemoveUsers)): The list of user IAM IDs ``` -------------------------------- ### DELETE /v3/accounts/{account_id}/users/{iam_id} Source: https://cloud.ibm.com/apidocs/user-management.json Remove users from an account by using the user's IAM ID. You must use a user token for authorization. Service IDs can't remove users from an account. If removing the user fails it will set the user's state to ERROR_WHILE_DELETING. To use this method, the requesting user must have the editor or administrator role on the User Management service. For more information, see the [Removing users](https://cloud.ibm.com/docs/account?topic=account-remove) documentation. ```markdown ### Responses #### 202 - The request was accepted. Empty response body #### 400 - response **ErrorCollection** #### 401 - response **ErrorCollection** #### 403 - response **ErrorCollection** #### 500 - response Your request could not be processed. Try again later. If the problem persists, note the `transaction-id` in the response header and contact [IBM Cloud support](https://cloud.ibm.com/unifiedsupport/supportcenter). ### Example Usage ```bash curl -X DELETE "https://user-management.cloud.ibm.com/v3/accounts/{account_id}/users/{iam_id}" ``` ``` -------------------------------- ### DELETE /v2/accounts/{account_id}/users Source: https://cloud.ibm.com/apidocs/user-management.json Remove a user from an account by user ID or by email and realm. You must use a user token for authorization. Service IDs can't remove users from an account. The request must contain either the user ID or email in the query parameters. This method removes only a single user. If multiple users found for the given query, a bad request returns. The requesting user must have the editor or administrator role on the User Management service. For more information, see [Removing users](https://cloud.ibm.com/docs/account?topic=account-remove). ```markdown ### Parameters - **user_id** (string, query, required): The ID of the user that you want to remove from the account. Either user_id or email is required. To get the user_id of users in your account, [list users](https://cloud.ibm.com/apidocs/user-management#list-users). - **email** (string, query, required): The email address of the user that you want to remove. Either email or user_id is required. - **realm** (string, query, optional): The realm of the user that you want to remove. The realm identifies the provider of the user, such as IBMid or an external identity provider. For more information, see [Users](https://cloud.ibm.com/docs/account?topic=account-identity-overview#users-bestpract) ### Responses #### 204 - The user was removed successfully. Empty response body #### 400 - response **ErrorCollection** #### 401 - response **ErrorCollection** #### 403 - response **ErrorCollection** #### 500 - response Your request could not be processed. Try again later. If the problem persists, note the `transaction-id` in the response header and contact [IBM Cloud support](https://cloud.ibm.com/unifiedsupport/supportcenter). ### Example Usage ```bash curl -X DELETE "https://user-management.cloud.ibm.com/v2/accounts/{account_id}/users?user_id=string&email=string&realm=string" ``` ``` -------------------------------- ### DELETE /v2/accounts/{account_id}/users/{iam_id} Source: https://cloud.ibm.com/apidocs/user-management.json Remove users from an account by user's IAM ID. You must use a user token for authorization. Service IDs can't remove users from an account. To use this method, the requesting user must have the editor or administrator role on the User Management service. For more information, see the [Removing users](https://cloud.ibm.com/docs/account?topic=account-remove) documentation. ```markdown ### Responses #### 204 - The user was removed successfully. Empty response body #### 400 - response **ErrorCollection** #### 401 - response **ErrorCollection** #### 403 - response **ErrorCollection** #### 500 - response Your request could not be processed. Try again later. If the problem persists, note the `transaction-id` in the response header and contact [IBM Cloud support](https://cloud.ibm.com/unifiedsupport/supportcenter). ### Example Usage ```bash curl -X DELETE "https://user-management.cloud.ibm.com/v2/accounts/{account_id}/users/{iam_id}" ``` ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.